Get address transaction history
curl --request GET \
--url https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"network_id": "base-sepolia",
"from_address_id": "0xfc807D1bE4997e5C7B33E4d8D57e60c5b0f02B1a",
"unsigned_payload": "<string>",
"status": "pending",
"signed_payload": "<string>",
"transaction_hash": "0x53e11e94ebb2438d6ddcfa07dabc9b551d2f440f8363fea941083bc397a86a42",
"transaction_link": "https://sepolia.basescan.org/tx/0x53e11e94ebb2438d6ddcfa07dabc9b551d2f440f8363fea941083bc397a86a42",
"content": {
"from": "0xfc807D1bE4997e5C7B33E4d8D57e60c5b0f02B1a",
"to": "0xfc807D1bE4997e5C7B33E4d8D57e60c5b0f02B1a",
"gas": 1000,
"gas_price": 1000,
"hash": "0x53e11e94ebb2438d6ddcfa07dabc9b551d2f440f8363fea941083bc397a86a42",
"input": "<string>",
"nonce": 136,
"index": 5,
"value": "100",
"type": 2,
"max_fee_per_gas": 190,
"max_priority_fee_per_gas": 100,
"priority_fee_per_gas": 1000,
"transaction_access_list": {
"access_list": [
{
"address": "<string>",
"storage_keys": [
"<string>"
]
}
]
},
"flattened_traces": [
{
"error": "<string>",
"type": "<string>",
"from": "<string>",
"to": "<string>",
"value": "<string>",
"gas": 123,
"gas_used": 123,
"input": "<string>",
"output": "<string>",
"sub_traces": 123,
"trace_address": [
123
],
"trace_type": "<string>",
"call_type": "<string>",
"trace_id": "<string>",
"status": 123,
"block_hash": "<string>",
"block_number": 123,
"transaction_hash": "<string>",
"transaction_index": 123
}
],
"block_timestamp": "2023-04-01T12:00:00Z",
"mint": "0",
"rlp_encoded_tx": "0x02f582426882013d8502540be4008502540be41c830493e094a55416de5de61a0ac1aa8970a280e04388b1de4b6f843a4b66f1c0808080"
}
}
],
"has_more": true,
"next_page": "<string>"
}{
"code": "<string>",
"message": "<string>",
"correlation_id": "<string>"
}Get address transaction history
List of all transactions that have interacted with a given external address. Interaction types: native, ERC20 and ERC721 transfer activities. The transactions are returned in reverse chronological order based on their block height.
GET
/
v1
/
networks
/
{network_id}
/
addresses
/
{address_id}
/
transactions
Get address transaction history
curl --request GET \
--url https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cdp.coinbase.com/platform/v1/networks/{network_id}/addresses/{address_id}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"network_id": "base-sepolia",
"from_address_id": "0xfc807D1bE4997e5C7B33E4d8D57e60c5b0f02B1a",
"unsigned_payload": "<string>",
"status": "pending",
"signed_payload": "<string>",
"transaction_hash": "0x53e11e94ebb2438d6ddcfa07dabc9b551d2f440f8363fea941083bc397a86a42",
"transaction_link": "https://sepolia.basescan.org/tx/0x53e11e94ebb2438d6ddcfa07dabc9b551d2f440f8363fea941083bc397a86a42",
"content": {
"from": "0xfc807D1bE4997e5C7B33E4d8D57e60c5b0f02B1a",
"to": "0xfc807D1bE4997e5C7B33E4d8D57e60c5b0f02B1a",
"gas": 1000,
"gas_price": 1000,
"hash": "0x53e11e94ebb2438d6ddcfa07dabc9b551d2f440f8363fea941083bc397a86a42",
"input": "<string>",
"nonce": 136,
"index": 5,
"value": "100",
"type": 2,
"max_fee_per_gas": 190,
"max_priority_fee_per_gas": 100,
"priority_fee_per_gas": 1000,
"transaction_access_list": {
"access_list": [
{
"address": "<string>",
"storage_keys": [
"<string>"
]
}
]
},
"flattened_traces": [
{
"error": "<string>",
"type": "<string>",
"from": "<string>",
"to": "<string>",
"value": "<string>",
"gas": 123,
"gas_used": 123,
"input": "<string>",
"output": "<string>",
"sub_traces": 123,
"trace_address": [
123
],
"trace_type": "<string>",
"call_type": "<string>",
"trace_id": "<string>",
"status": 123,
"block_hash": "<string>",
"block_number": 123,
"transaction_hash": "<string>",
"transaction_index": 123
}
],
"block_timestamp": "2023-04-01T12:00:00Z",
"mint": "0",
"rlp_encoded_tx": "0x02f582426882013d8502540be4008502540be41c830493e094a55416de5de61a0ac1aa8970a280e04388b1de4b6f843a4b66f1c0808080"
}
}
],
"has_more": true,
"next_page": "<string>"
}{
"code": "<string>",
"message": "<string>",
"correlation_id": "<string>"
}Authorizations
Enter your JSON Web Token (JWT) here. Refer to the Generate JWT section of our Authentication docs for information on how to generate your Bearer Token.
Path Parameters
Blockchain network identifier.
Query Parameters
Was this page helpful?